package seal_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type SealApplyImagesDownloadRequest struct {
	// <ext>core:true;format:string</ext> 【用印申请id】用印申请id 【作用】 查询需下载照片的用印申请
	BusinessId *int64 `json:"businessId,omitempty"`
	// <ext>core:true</ext> 【图片类型】图片类型 【传参】 取值范围：FACE（人脸拍照），SIGNATORY（签署拍照），YINBAO（章筒拍照），REPAIR（补拍图片）；默认获取所有图片。
	PhotoType string `json:"photoType,omitempty"`
}

func (obj SealApplyImagesDownloadRequest) GetUrl() string {
	return "/seal/apply/images/download"
}

func (obj SealApplyImagesDownloadRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("businessId", obj.BusinessId)
	parameter.AddParam("photoType", obj.PhotoType)
	return parameter
}
